<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
switch($mode) {
///удаление папки
case 'delr':
$count = $db -> dbcount('COUNT(`id`)','load_cat',"`id` = '".$id."'");
if ($aut == true and $count>0 and ($ya['level']>=4)) {
$sql = $db -> query("SELECT * FROM `load_cat` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if (!isset($_GET['true'])) {
$diz -> head('Загрузки');
$diz -> title('Удаление папки');
$msg .= '<div class="fon">Папка: <span>'.$ass['name'].'</span><br/>Вы точно хотите удалить выбранную категорию и все альбомы в ней?<br/>
<a href="func.php?id='.$id.'&amp;mode=delr&amp;true">Да</a> | <a href="index.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$sql2 = $db -> query("SELECT * FROM `load_files` WHERE `cat` = '".$id."'");
if ($sql2 -> num_rows > 0) {
while ($f = $sql2 -> fetch_assoc()) {
unlink($f['infolder']);
$db -> multi_query("DELETE FROM `comes` WHERE `idwh` = '".$f['id']."' and `where`='load'");
$db -> multi_query("DELETE FROM `load_files` WHERE `id` = '".$f['id']."'");
}}
$db -> multi_query("DELETE FROM `load_cat` WHERE `id` = '".$id."' LIMIT 1");
header('location: index.php');
}
} else header('location: index.php');
} else header('location: index.php');
break;
///Удаление файла
case 'del':
$sql = $db -> query("SELECT * FROM `load_files` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if ($aut == true and $id != false and $ya['level']>=4 or $ya['id']==$ass['user']) {
if (!isset($_GET['true'])) {
$diz -> head('Удаление файла');
$diz -> title('Удаление файла');
$msg .= '<div class="fon">Вы действительно хотите удалить данный скрипт?</br>
<a href="./func.php?mode=del&amp;id='.$id.'&amp;true">Да</a> | <a href="./view/'.$id.'/">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
    $diz -> head('Удаление файла');
$diz -> title('<b>Удаление файла</b>');
	$sql =$db -> query("SELECT * FROM `load_files` WHERE `id`='".$id."'");
$row = $sql->fetch_assoc();
		$explode = explode('./', $row['infolder']);
		
		$chmod = '';
		foreach($explode as $chm) {
			$chmod .= $chm;
			if (is_dir('./'.$chmod)) {
				$chmod = $chmod.'/';
			}
			chmod('./'.$chmod, 0777);
		}
        
		if ($db -> query("DELETE FROM `load_files` WHERE `id`='".$id."'") && unlink('./'.$row['infolder'])) {
		  $db -> query("DELETE FROM `comes` WHERE `where`='load' and `idwh`='".$id."'");
			header('Refresh: 2, url=./index.php');
			$msg .= '<div class="fon">Файл успешно удален!</div>';
		} else {
			$msg .= '<div class="fon">Ошибка при удалении файла!</div>';
		}#####Копирайт#######
require_once (ROOT.'system/kopy.php');
         	$diz -> out($msg);
}                       
} else header('location: ./index.php');
} else header('location: ./index.php');
break;
////Создание папки
case 'new':
if ($ya['level'] >= 4) {
if ($id == 0 or $id ==''){
$diz -> head('Новая папка');
$diz -> title('Добавляем папку');
$array = array('dir.gif' => 'По умолчанию', 'update.gif' => 'Галочка','byb.gif' => 'Книга','jar.png' => 'Развлечения', 'mp3.gif' => 'Музыка', 'rar.png' => 'Архивы', 'video.gif' => 'Видео', 'img.gif' => 'Картинки');
$stat = null;
foreach ($array as $key => $value) {
$stat .= '<option value="'.$key.'">'.$value.'</option>';
}
if (empty($_POST['name'])) {
$msg .= '<form action="?mode=new&amp;id='.$papka.'" method="post" enctype="multipart/form-data"><div>';
$msg .= '<div class="fon">Имя папки:<br/><input type="text" name="name" value="" maxlength="24"/></br>
Иконка папки:</br><select name="icon">'.$stat.'</select></br>';
$msg .= '<input type="submit" value="Добавить папку"/>
</form></div>';
} else {
$maxsid = $db -> dbcount('MAX(`sid`)','load_cat');
$name = shit($_POST['name']); 
$ic = shit($_POST['icon']); 
$db -> query("Insert `load_cat` SET `name` = '".$name."',`icon` = '".$ic."',`sid`=$maxsid+1");
$msg .= '<div class="fon">Папка '.$_POST['name'].' успешно добавлена!</div>';
}
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php?id='.$id.'">Назад</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}else{
$diz -> head('Новая папка');
$diz -> title('Добавляем папку');
$msg .= '<div class="fon">Нельзя создавать подпапки!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./index.php?id='.$id.'">Назад</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php'); 
$diz -> out($msg);
}
}else header('location: index.php');
break;  
///Изменение файла
case 'redf':
$count = $db -> dbcount('COUNT(`id`)','load_files','`id`='.$id.'');
$for = $db -> query("SELECT * FROM `load_files` where `id`='$id'")-> fetch_assoc();
if($count>0 and $ya['level']>=4 or $for['user']==$ya['id']){
if (empty($_POST['name']) || empty($_POST['text'])) {
$diz -> head('Изменение файла');
$diz -> title('Изменение файла');
$fori = $db -> query("SELECT `id`,`name` FROM `load_cat` where `id`<>'$for[cat]'");
$opt .= '<option value="'.$for['cat'].'">Текущая папка</option>';
while ($assoc = $fori -> fetch_assoc()) {
$opt .= '<option value="'.$assoc['id'].'">'.$assoc['name'].'</option>';
}
$msg .= '<div class="fon">Название:<form action="func.php?id='.$id.'&amp;mode=redf" method="post"><div>
<textarea name="name" rows="2" cols="28">'.$for['name'].'</textarea><br/>
Описание:<br/>
<textarea name="text" rows="3" cols="26">'.$func -> br($for['info']).'</textarea><br/>
Папка:</br> 
<select name="cat">'.$opt.'</select></br>
<input type="submit" value="Изменить"/>
</form></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./view/'.$id.'/">Назад</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
} else {
$diz -> head('Изменение файла');
$diz -> title('Изменение файла');
$name = shit($_POST['name']);
$text = shit($_POST['text']);
$raz = abs(intval($_POST['cat']));
$db -> query("Update `load_files` SET  `name`='$name',`info`='$text',`cat`='$raz' where `id`='$id'");
$msg .= '<div class="fon">Файл <b>'.$name.'</b> успешно изменён!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./view/'.$id.'/">Назад</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
}
}else header('location: index.php');
break;
///Изменение папки
case 'redraz':
$count = $db -> dbcount('COUNT(`id`)','load_cat',"`id` = '".$id."'");
if ($ya['level'] >= 4 and $count>0) {
if (empty($_POST['name'])) {
$diz -> head('Изменение папки');
$diz -> title('Изменение папки');
$array = array('dir.gif' => 'По умолчанию', 'update.gif' => 'Галочка','byb.gif' => 'Книга','jar.png' => 'Развлечения', 'mp3.gif' => 'Музыка', 'rar.png' => 'Архивы', 'video.gif' => 'Видео', 'img.gif' => 'Картинки');
$stat = null;
foreach ($array as $key => $value) {
$stat .= '<option value="'.$key.'">'.$value.'</option>';
}
$for = $db -> query("SELECT * FROM `load_cat` where `id`='$id'")-> fetch_assoc();
$msg .= '<div class="fon">Название:<form action="func.php?id='.$id.'&amp;mode=redraz" method="post"><div>
<textarea name="name" rows="1" cols="26">'.$for['name'].'</textarea><br/>
Иконка папки:</br><select name="icon">'.$stat.'</select></br>
<input type="submit" value="Изменить"/>
</form><br/></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php">Назад</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$ic = shit($_POST['icon']); 
$db -> query("Update `load_cat` SET  `name` = '".$name."',`icon` = '".$ic."' where `id`='$id'");
$diz -> head('Изменение папки');
$diz -> title('Изменение папки');
$msg .= '<div class="fon">Папка <b>'.$name.'</b> успешно изменена!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php">Назад</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
}
} else header('location: index.php');
break;
//переадресация в случае пустой функции
default:
header('location: index.php');
}
?>